package com.ym.mec.biz.service;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.entity.TeacherContracts;
import com.ym.mec.common.service.BaseService;

public interface TeacherContractsService extends BaseService<Long, TeacherContracts> {

	TeacherContracts queryByUserId(Integer userId);
	
	boolean sign(SysUser user);
	
	boolean callback(String jsonStr);
	
	public void queryTeacherContractSignStatus();
}